package com.kaixed.kchat.viewmodel

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.kaixed.kchat.model.response.friend.SearchFriends
import com.kaixed.kchat.repository.ContactRepo

/**
 * @Author: kaixed
 * @Date: 2024/9/22 23:04
 */
class SearchFriendsViewModel : ViewModel() {
    private var contactRepo: ContactRepo = ContactRepo()

    fun searchFriends(username: String): MutableLiveData<SearchFriends?> =
        contactRepo.searchContact(username)
}
